package be.iminds.ilabt.jfed.highlevel.jobs;

import be.iminds.ilabt.jfed.experiment.ExperimentPart;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * User: twalcari
 * Date: 1/14/2016
 * Time: 12:24
 */
public abstract class UpdateUntilReadyStateSlice<EP extends ExperimentPart> extends ExperimentPartStateSlice<EP> {

    protected final Integer waitForReadyDelay;

    public UpdateUntilReadyStateSlice(@Nonnull Job<?> job, @Nonnull EP experimentPart, @Nullable Integer waitForReadyDelay) {
        super(job, experimentPart);
        this.waitForReadyDelay = waitForReadyDelay;
    }
}
